Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Nov 2014, 12:41
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
LIRC Kernel modules for slacko 5.3.1
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
chiron


Joined: 30 Oct 2006
Posts: 87
Location: Franken, Bavaria, Germany

PostPosted: Sat 09 Jun 2012, 04:28    Post_subject:  LIRC Kernel modules for slacko 5.3.1  

Hi,

I am running slacko 5.3.1 on my media box (VIA C3 Nehemiah (without i686 bug)), and now I want to add LIRC to it. Downloaded via the package manager from slackware (lirc 0.9.0), no luck. Got Kernel sources (2.6.37.6, Slackware 13.37) from slackware and compiled LIRC package (0.9.0) myself, still no luck. Problem is, I cant load the kernel modules, modprobe lirc_serial and modprobe lirc_dev give me the same error that states wrong module format. So, the modules are there, but there appears to be a mismatch between modules and Kernel. Or am I missing the obvious here?

Anyhow, does anybody have the kernel modules for LIRC (or even the whole LIRC package) compiled for slacko 5.3.1? And has it working?

Thanks in advance!

And no, I am not willing to change to another puppy or even make an update. Everything besides LIRC finally runs perfect (including Bluetooth & Remuco).
Back to top
View user's profile Send_private_message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3972
Location: Kiel,Germany

PostPosted: Mon 11 Jun 2012, 08:25    Post_subject:  

Puppy slacko uses woof for the many scripts, a kernel compiled by 01micko and most of the additional apps and programs like abiword from the slackware repository ..

I dont run Slacko 5x series much, nor am i an expert for slackware .

It sounds a little strange that Slacko runs the same kernel version like the official slackware distribution .

The Puppy Slacko kernel sources .sfs can be found here :
http://ftp.nluug.nl/ibiblio/distributions/puppylinux/pet_packages-slacko/

They should normally be in here :
http://ftp.nluug.nl/ibiblio/distributions/puppylinux/puppy-5.3.1/

Usual Puppy mismatches Smile
Back to top
View user's profile Send_private_message Visit_website 
chiron


Joined: 30 Oct 2006
Posts: 87
Location: Franken, Bavaria, Germany

PostPosted: Mon 11 Jun 2012, 09:48    Post_subject:  

Thanks for pointing me to the right place at nluug Wink I actually looked there first, but obviously in the wrong place. I'll give it a try later on.
Back to top
View user's profile Send_private_message 
Hesse James


Joined: 08 Feb 2010
Posts: 44

PostPosted: Mon 11 Jun 2012, 13:00    Post_subject:  

Hi Chiron
Installation of LIRC is normally not that easy to simply install a precompiled package or to compile the source code and that's it. For my installation (on old spup) I had to read a lot of hints in Forums which were focused on my IMON LCD. To find out which IMON I have was difficult enough. There are a lot of which are not alway compatible to each other. So the subsequent configuration of the LIRC was more than Plug'n Play.
Good luck.
Christian
Back to top
View user's profile Send_private_message 
chiron


Joined: 30 Oct 2006
Posts: 87
Location: Franken, Bavaria, Germany

PostPosted: Mon 11 Jun 2012, 13:48    Post_subject:  

OK, so I downloaded the source from nluug and compiled Lirc with it .Still the same problem.

When modprobing lirc_dev or lirc_serial, I still get Invalid Module Format. The modules are where they belong, I did a depmod -a, so I am sure that it is an incompatibility between the modules and the kernel. Is it possible that it's an issue with architecture, since the kernel states i686, and the modules state 80386? But I suppose they should be compatible, right?!

So right now, I wish I had it working so far as to encounter problems with the hardware and configuration. So if there are precompiled lirc kernel modules out there for the 2.6.37.6 kernel, I would like to try them out.

I know that things are not always straightforward, I got Bluetooth and Remuco running on the machine Wink
Back to top
View user's profile Send_private_message 
Hesse James


Joined: 08 Feb 2010
Posts: 44

PostPosted: Fri 25 Apr 2014, 17:22    Post_subject:  

Hi
Have a look at this:
http://www.murga-linux.com/puppy/viewtopic.php?p=773441#773441
Christian
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0580s ][ Queries: 12 (0.0038s) ][ GZIP on ]